GET /orgs/{org}/outside_collaborators

github.com:github-rest-api

Summary: List outside collaborators for an organization
Operation ID: orgs/list-outside-collaborators
Auth: bearer_token
Description

List all users who are outside collaborators of an organization.

Parameters (4)

filter (string, query, optional, default: all)

Filter the list of outside collaborators. `2fa_disabled` means that only outside collaborators without [two-factor authentication](https://github.com/blog/1614-two-factor-authentication) enabled will be returned. `2fa_insecure` means that only outside collaborators with [insecure 2FA methods](https://docs.github.com/organizations/keeping-your-organization-secure/managing-two-factor-authentication-for-your-organization/requiring-two-factor-authentication-in-your-organization#requiring-secure-methods-of-two-factor-authentication-in-your-organization) will be returned.

Constraints: {'enum': ['2fa_disabled', '2fa_insecure', 'all']}

org (string, path, required)

The organization name. The name is not case sensitive.

page (integer, query, optional, default: 1)

The page number of the results to fetch. For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."

per_page (integer, query, optional, default: 30)

The number of results per page (max 100). For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."

No probe data for this endpoint yet.